// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		602DD3E4210EBEEE00677756 /* main.m in Sources */ = {isa = PBXBuildFile; fileRef = 602DD3E3210EBEEE00677756 /* main.m */; };
		602DD3EC210EBEFE00677756 /* FKPerson.m in Sources */ = {isa = PBXBuildFile; fileRef = 602DD3EB210EBEFE00677756 /* FKPerson.m */; };
/* End PBXBuildFile section */

/* Begin PBXCopyFilesBuildPhase section */
		602DD3DE210EBEEE00677756 /* CopyFiles */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = /usr/share/man/man1/;
			dstSubfolderSpec = 0;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 1;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		602DD3E0210EBEEE00677756 /* Chapter06-07 */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = "Chapter06-07"; sourceTree = BUILT_PRODUCTS_DIR; };
		602DD3E3210EBEEE00677756 /* main.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = main.m; sourceTree = "<group>"; };
		602DD3EA210EBEFE00677756 /* FKPerson.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = FKPerson.h; sourceTree = "<group>"; };
		602DD3EB210EBEFE00677756 /* FKPerson.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = FKPerson.m; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		602DD3DD210EBEEE00677756 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		602DD3D7210EBEEE00677756 = {
			isa = PBXGroup;
			children = (
				602DD3E2210EBEEE00677756 /* Chapter06-07 */,
				602DD3E1210EBEEE00677756 /* Products */,
			);
			sourceTree = "<group>";
		};
		602DD3E1210EBEEE00677756 /* Products */ = {
			isa = PBXGroup;
			children = (
				602DD3E0210EBEEE00677756 /* Chapter06-07 */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		602DD3E2210EBEEE00677756 /* Chapter06-07 */ = {
			isa = PBXGroup;
			children = (
				602DD3E3210EBEEE00677756 /* main.m */,
				602DD3EA210EBEFE00677756 /* FKPerson.h */,
				602DD3EB210EBEFE00677756 /* FKPerson.m */,
			);
			path = "Chapter06-07";
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		602DD3DF210EBEEE00677756 /* Chapter06-07 */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 602DD3E7210EBEEE00677756 /* Build configuration list for PBXNativeTarget "Chapter06-07" */;
			buildPhases = (
				602DD3DC210EBEEE00677756 /* Sources */,
				602DD3DD210EBEEE00677756 /* Frameworks */,
				602DD3DE210EBEEE00677756 /* CopyFiles */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "Chapter06-07";
			productName = "Chapter06-07";
			productReference = 602DD3E0210EBEEE00677756 /* Chapter06-07 */;
			productType = "com.apple.product-type.tool";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		602DD3D8210EBEEE00677756 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 0930;
				ORGANIZATIONNAME = QinTuanye;
				TargetAttributes = {
					602DD3DF210EBEEE00677756 = {
						CreatedOnToolsVersion = 9.3.1;
					};
				};
			};
			buildConfigurationList = 602DD3DB210EBEEE00677756 /* Build configuration list for PBXProject "Chapter06-07" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
			);
			mainGroup = 602DD3D7210EBEEE00677756;
			productRefGroup = 602DD3E1210EBEEE00677756 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				602DD3DF210EBEEE00677756 /* Chapter06-07 */,
			);
		};
/* End PBXProject section */

/* Begin PBXSourcesBuildPhase section */
		602DD3DC210EBEEE00677756 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				602DD3E4210EBEEE00677756 /* main.m in Sources */,
				602DD3EC210EBEFE00677756 /* FKPerson.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		602DD3E5210EBEEE00677756 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "Mac Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.13;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = macosx;
			};
			name = Debug;
		};
		602DD3E6210EBEEE00677756 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "Mac Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.13;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = macosx;
			};
			name = Release;
		};
		602DD3E8210EBEEE00677756 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = V36526T8FR;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Debug;
		};
		602DD3E9210EBEEE00677756 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = V36526T8FR;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		602DD3DB210EBEEE00677756 /* Build configuration list for PBXProject "Chapter06-07" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				602DD3E5210EBEEE00677756 /* Debug */,
				602DD3E6210EBEEE00677756 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		602DD3E7210EBEEE00677756 /* Build configuration list for PBXNativeTarget "Chapter06-07" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				602DD3E8210EBEEE00677756 /* Debug */,
				602DD3E9210EBEEE00677756 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 602DD3D8210EBEEE00677756 /* Project object */;
}
